com.collabnet.ce.soap60.webservices.planning

## Class RankedArtifactSoapRow

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.planning.RankedArtifactSoapRow

-     public class RankedArtifactSoapRow
      extends Object

  RankedArtifactSoapList class represents a list of artifacts with their ranks within a planning folder. It contains a sequence of RankedArtifactSoapRow objects. Note that the RankedArtifactSoapRow object is strictly a data container used for one-way fetching of data about a list of objects. Its "setter" methods cannot be used to change data on the server.
  Since:
    5.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RankedArtifactSoapRow()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getActualEffort()` Returns 'actualEffort'.
    `String` | `getArtifactGroup()` Returns 'artifactGroup'.
    `String` | `getAssignedToFullname()` Returns 'assignedToFullname'.
    `String` | `getAssignedToUsername()` Returns 'assignedToUsername'.
    `boolean` | `getAutosumming()` Returns 'autosumming'.
    `String` | `getCategory()` Returns 'category'.
    `String[]` | `getChildrenIds()` Returns 'childrenIds'.
    `Date` | `getCloseDate()` Returns 'closeDate'.
    `String` | `getCustomer()` Returns 'customer'.
    `String` | `getDescription()` Returns 'description'.
    `int` | `getEstimatedEffort()` Returns 'estimatedEffort'.
    `String` | `getFolderId()` Returns 'folderId'.
    `String` | `getFolderPathString()` Returns 'folderPathString'.
    `String` | `getFolderTitle()` Returns 'folderTitle'.
    `boolean` | `getHasChildren()` Returns 'hasChildren'.
    `String` | `getId()` Returns 'id'.
    `Date` | `getLastModifiedDate()` Returns 'lastModifiedDate'.
    `String` | `getParentId()` Returns 'parentId'.
    `String` | `getPlanningFolderId()` Returns 'planningFolderId'.
    `String` | `getPlanningFolderTitle()` Returns 'planningFolderTitle'.
    `int` | `getPoints()` Returns 'points'.
    `int` | `getPriority()` Returns 'priority'.
    `String` | `getProjectId()` Returns 'projectId'.
    `String` | `getProjectPathString()` Returns 'projectPathString'.
    `String` | `getProjectTitle()` Returns 'projectTitle'.
    `long` | `getRank()` Returns 'rank'.
    `int` | `getRemainingEffort()` Returns 'remainingEffort'.
    `String` | `getReportedInReleaseId()` Returns 'reportedInReleaseId'.
    `String` | `getReportedInReleaseTitle()` Returns 'reportedInReleaseTitle'.
    `String` | `getResolvedInReleaseId()` Returns 'resolvedInReleaseId'.
    `String` | `getResolvedInReleaseTitle()` Returns 'resolvedInReleaseTitle'.
    `String` | `getStatus()` Returns 'status'.
    `String` | `getStatusClass()` Returns 'statusClass'.
    `String` | `getSubmittedByFullname()` Returns 'submittedByFullname'.
    `String` | `getSubmittedByUsername()` Returns 'submittedByUsername'.
    `Date` | `getSubmittedDate()` Returns 'submittedDate'.
    `String` | `getTitle()` Returns 'title'.
    `String` | `getTrackerIcon()` Returns 'trackerIcon'.
    `int` | `getVersion()` Returns 'version'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setActualEffort(int actualEffort)` Sets 'actualEffort'.
    `void` | `setArtifactGroup(String artifactGroup)` Sets 'artifactGroup'.
    `void` | `setAssignedToFullname(String assignedToFullname)` Sets 'assignedToFullname'.
    `void` | `setAssignedToUsername(String assignedToUsername)` Sets 'assignedToUsername'.
    `void` | `setAutosumming(boolean autosumming)` Sets 'autosumming'.
    `void` | `setCategory(String category)` Sets 'category'.
    `void` | `setChildrenIds(String[] childrenIds)` Sets 'childrenIds'.
    `void` | `setCloseDate(Date closeDate)` Sets 'closeDate'.
    `void` | `setCustomer(String customer)` Sets 'customer'.
    `void` | `setDescription(String description)` Sets 'description'.
    `void` | `setEstimatedEffort(int estimatedEffort)` Sets 'estimatedEffort'.
    `void` | `setFolderId(String folderId)` Sets 'folderId'.
    `void` | `setFolderPathString(String folderPathString)` Sets 'folderPathString'.
    `void` | `setFolderTitle(String folderTitle)` Sets 'folderTitle'.
    `void` | `setHasChildren(boolean hasChildren)` Sets 'hasChildren'.
    `void` | `setId(String id)` Sets 'id'.
    `void` | `setLastModifiedDate(Date lastModifiedDate)` Sets 'lastModifiedDate'.
    `void` | `setParentId(String parentId)` Sets 'parentId'.
    `void` | `setPlanningFolderId(String planningFolderId)` Sets 'planningFolderId'.
    `void` | `setPlanningFolderTitle(String planningFolderTitle)` Sets 'planningFolderTitle'.
    `void` | `setPoints(int points)` Sets 'points'.
    `void` | `setPriority(int priority)` Sets 'priority'.
    `void` | `setProjectId(String projectId)` Sets 'projectId'.
    `void` | `setProjectPathString(String projectPathString)` Sets 'projectPathString'.
    `void` | `setProjectTitle(String projectTitle)` Sets 'projectTitle'.
    `void` | `setRank(long rank)` Sets 'rank'.
    `void` | `setRemainingEffort(int remainingEffort)` Sets 'remainingEffort'.
    `void` | `setReportedInReleaseId(String reportedInReleaseId)` Sets 'reportedInReleaseId'.
    `void` | `setReportedInReleaseTitle(String reportedInReleaseTitle)` Sets 'reportedInReleaseTitle'.
    `void` | `setResolvedInReleaseId(String resolvedInReleaseId)` Sets 'resolvedInReleaseId'.
    `void` | `setResolvedInReleaseTitle(String resolvedInReleaseTitle)` Sets 'resolvedInReleaseTitle'.
    `void` | `setStatus(String status)` Sets 'status'.
    `void` | `setStatusClass(String statusClass)` Sets 'statusClass'.
    `void` | `setSubmittedByFullname(String submittedByFullname)` Sets 'submittedByFullname'.
    `void` | `setSubmittedByUsername(String submittedByUsername)` Sets 'submittedByUsername'.
    `void` | `setSubmittedDate(Date submittedDate)` Sets 'submittedDate'.
    `void` | `setTitle(String title)` Sets 'title'.
    `void` | `setTrackerIcon(String trackerIcon)` Sets 'trackerIcon'.
    `void` | `setVersion(int version)` Sets 'version'.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RankedArtifactSoapRow

          public RankedArtifactSoapRow()

  - ### Method Detail

    - #### getId

          public String getId()

      Returns 'id'. Id of the artifact
      Returns:
        Value of 'id'.

    - #### setId

          public void setId(String id)

      Sets 'id'. Id of the artifact
      Parameters:
        `id` - Value of 'id'.

    - #### getPriority

          public int getPriority()

      Returns 'priority'. The artifact priority field
      Returns:
        Value of 'priority'.

    - #### setPriority

          public void setPriority(int priority)

      Sets 'priority'. The artifact priority field
      Parameters:
        `priority` - Value of 'priority'.

    - #### getProjectPathString

          public String getProjectPathString()

      Returns 'projectPathString'. The full project path, as a string
      Returns:
        Value of 'projectPathString'.

    - #### setProjectPathString

          public void setProjectPathString(String projectPathString)

      Sets 'projectPathString'. The full project path, as a string
      Parameters:
        `projectPathString` - Value of 'projectPathString'.

    - #### getProjectTitle

          public String getProjectTitle()

      Returns 'projectTitle'. The title of the project containing the artifact
      Returns:
        Value of 'projectTitle'.

    - #### setProjectTitle

          public void setProjectTitle(String projectTitle)

      Sets 'projectTitle'. The title of the project containing the artifact
      Parameters:
        `projectTitle` - Value of 'projectTitle'.

    - #### getProjectId

          public String getProjectId()

      Returns 'projectId'. The project id of the project containing the artifact
      Returns:
        Value of 'projectId'.

    - #### setProjectId

          public void setProjectId(String projectId)

      Sets 'projectId'. The project id of the project containing the artifact
      Parameters:
        `projectId` - Value of 'projectId'.

    - #### getFolderPathString

          public String getFolderPathString()

      Returns 'folderPathString'. The tracker path containing the artifact
      Returns:
        Value of 'folderPathString'.

    - #### setFolderPathString

          public void setFolderPathString(String folderPathString)

      Sets 'folderPathString'. The tracker path containing the artifact
      Parameters:
        `folderPathString` - Value of 'folderPathString'.

    - #### getFolderTitle

          public String getFolderTitle()

      Returns 'folderTitle'. The title of the tracker that contains the artifact
      Returns:
        Value of 'folderTitle'.

    - #### setFolderTitle

          public void setFolderTitle(String folderTitle)

      Sets 'folderTitle'. The title of the tracker that contains the artifact
      Parameters:
        `folderTitle` - Value of 'folderTitle'.

    - #### getFolderId

          public String getFolderId()

      Returns 'folderId'. The folder id of the tracker folder that contains the artifact
      Returns:
        Value of 'folderId'.

    - #### setFolderId

          public void setFolderId(String folderId)

      Sets 'folderId'. The folder id of the tracker folder that contains the artifact
      Parameters:
        `folderId` - Value of 'folderId'.

    - #### getPlanningFolderId

          public String getPlanningFolderId()

      Returns 'planningFolderId'. The artifact's PlanningFolder id
      Returns:
        Value of 'planningFolderId'.

    - #### setPlanningFolderId

          public void setPlanningFolderId(String planningFolderId)

      Sets 'planningFolderId'. The artifact's PlanningFolder id
      Parameters:
        `planningFolderId` - Value of 'planningFolderId'.

    - #### getPlanningFolderTitle

          public String getPlanningFolderTitle()

      Returns 'planningFolderTitle'. The artifact's PlanningFolder title
      Returns:
        Value of 'planningFolderTitle'.

    - #### setPlanningFolderTitle

          public void setPlanningFolderTitle(String planningFolderTitle)

      Sets 'planningFolderTitle'. The artifact's PlanningFolder title
      Parameters:
        `planningFolderTitle` - Value of 'planningFolderTitle'.

    - #### getTitle

          public String getTitle()

      Returns 'title'. The title of the artifact
      Returns:
        Value of 'title'.

    - #### setTitle

          public void setTitle(String title)

      Sets 'title'. The title of the artifact
      Parameters:
        `title` - Value of 'title'.

    - #### getDescription

          public String getDescription()

      Returns 'description'. The full description of the artifact
      Returns:
        Value of 'description'.

    - #### setDescription

          public void setDescription(String description)

      Sets 'description'. The full description of the artifact
      Parameters:
        `description` - Value of 'description'.

    - #### getArtifactGroup

          public String getArtifactGroup()

      Returns 'artifactGroup'. The artifact group field
      Returns:
        Value of 'artifactGroup'.

    - #### setArtifactGroup

          public void setArtifactGroup(String artifactGroup)

      Sets 'artifactGroup'. The artifact group field
      Parameters:
        `artifactGroup` - Value of 'artifactGroup'.

    - #### getStatus

          public String getStatus()

      Returns 'status'. The status of the artifact. Possible values are 'Open', 'Closed', 'Pending' or a custom value defined in the tracker.
      Returns:
        Value of 'status'.

    - #### setStatus

          public void setStatus(String status)

      Sets 'status'. The status of the artifact. Possible values are 'Open', 'Closed', 'Pending' or a custom value defined in the tracker.
      Parameters:
        `status` - Value of 'status'.

    - #### getStatusClass

          public String getStatusClass()

      Returns 'statusClass'. 'status' field values indicate the internal status (or class) of the artifact. Can be one of 'Open' or 'Close'
      Returns:
        Value of 'statusClass'.

    - #### setStatusClass

          public void setStatusClass(String statusClass)

      Sets 'statusClass'. 'status' field values indicate the internal status (or class) of the artifact. Can be one of 'Open' or 'Close'
      Parameters:
        `statusClass` - Value of 'statusClass'.

    - #### getCategory

          public String getCategory()

      Returns 'category'. The category field of the artifact
      Returns:
        Value of 'category'.

    - #### setCategory

          public void setCategory(String category)

      Sets 'category'. The category field of the artifact
      Parameters:
        `category` - Value of 'category'.

    - #### getCustomer

          public String getCustomer()

      Returns 'customer'. The artifact relates to this customer
      Returns:
        Value of 'customer'.

    - #### setCustomer

          public void setCustomer(String customer)

      Sets 'customer'. The artifact relates to this customer
      Parameters:
        `customer` - Value of 'customer'.

    - #### getSubmittedByUsername

          public String getSubmittedByUsername()

      Returns 'submittedByUsername'. The artifact was submitted by the user with this username
      Returns:
        Value of 'submittedByUsername'.

    - #### setSubmittedByUsername

          public void setSubmittedByUsername(String submittedByUsername)

      Sets 'submittedByUsername'. The artifact was submitted by the user with this username
      Parameters:
        `submittedByUsername` - Value of 'submittedByUsername'.

    - #### getSubmittedByFullname

          public String getSubmittedByFullname()

      Returns 'submittedByFullname'. The artifact was submitted by the user with this full name
      Returns:
        Value of 'submittedByFullname'.

    - #### setSubmittedByFullname

          public void setSubmittedByFullname(String submittedByFullname)

      Sets 'submittedByFullname'. The artifact was submitted by the user with this full name
      Parameters:
        `submittedByFullname` - Value of 'submittedByFullname'.

    - #### getSubmittedDate

          public Date getSubmittedDate()

      Returns 'submittedDate'. The artifact was created on this date
      Returns:
        Value of 'submittedDate'.

    - #### setSubmittedDate

          public void setSubmittedDate(Date submittedDate)

      Sets 'submittedDate'. The artifact was created on this date
      Parameters:
        `submittedDate` - Value of 'submittedDate'.

    - #### getCloseDate

          public Date getCloseDate()

      Returns 'closeDate'. The artifact was closed (completed) on this date
      Returns:
        Value of 'closeDate'.

    - #### setCloseDate

          public void setCloseDate(Date closeDate)

      Sets 'closeDate'. The artifact was closed (completed) on this date
      Parameters:
        `closeDate` - Value of 'closeDate'.

    - #### getAssignedToUsername

          public String getAssignedToUsername()

      Returns 'assignedToUsername'. The artifact is assigned to the user with this username
      Returns:
        Value of 'assignedToUsername'.

    - #### setAssignedToUsername

          public void setAssignedToUsername(String assignedToUsername)

      Sets 'assignedToUsername'. The artifact is assigned to the user with this username
      Parameters:
        `assignedToUsername` - Value of 'assignedToUsername'.

    - #### getAssignedToFullname

          public String getAssignedToFullname()

      Returns 'assignedToFullname'. The artifact is assigned to the user with this full name
      Returns:
        Value of 'assignedToFullname'.

    - #### setAssignedToFullname

          public void setAssignedToFullname(String assignedToFullname)

      Sets 'assignedToFullname'. The artifact is assigned to the user with this full name
      Parameters:
        `assignedToFullname` - Value of 'assignedToFullname'.

    - #### getLastModifiedDate

          public Date getLastModifiedDate()

      Returns 'lastModifiedDate'. The date details of this artifact were last changed
      Returns:
        Value of 'lastModifiedDate'.

    - #### setLastModifiedDate

          public void setLastModifiedDate(Date lastModifiedDate)

      Sets 'lastModifiedDate'. The date details of this artifact were last changed
      Parameters:
        `lastModifiedDate` - Value of 'lastModifiedDate'.

    - #### getEstimatedEffort

          public int getEstimatedEffort()

      Returns 'estimatedEffort'. The estimated amount of effort needed to resolve issues raised in the artifact
      Returns:
        Value of 'estimatedEffort'.

    - #### setEstimatedEffort

          public void setEstimatedEffort(int estimatedEffort)

      Sets 'estimatedEffort'. The estimated amount of effort needed to resolve issues raised in the artifact
      Parameters:
        `estimatedEffort` - Value of 'estimatedEffort'.

    - #### getActualEffort

          public int getActualEffort()

      Returns 'actualEffort'. The actual amount of effort spent resolving issues with the artifact
      Returns:
        Value of 'actualEffort'.

    - #### setActualEffort

          public void setActualEffort(int actualEffort)

      Sets 'actualEffort'. The actual amount of effort spent resolving issues with the artifact
      Parameters:
        `actualEffort` - Value of 'actualEffort'.

    - #### getRemainingEffort

          public int getRemainingEffort()

      Returns 'remainingEffort'. The remaining amount of effort needed to resolve issues raised in the artifact
      Returns:
        Value of 'remainingEffort'.

    - #### setRemainingEffort

          public void setRemainingEffort(int remainingEffort)

      Sets 'remainingEffort'. The remaining amount of effort needed to resolve issues raised in the artifact
      Parameters:
        `remainingEffort` - Value of 'remainingEffort'.

    - #### getReportedInReleaseTitle

          public String getReportedInReleaseTitle()

      Returns 'reportedInReleaseTitle'. The artifact was reported in the release of this title
      Returns:
        Value of 'reportedInReleaseTitle'.

    - #### setReportedInReleaseTitle

          public void setReportedInReleaseTitle(String reportedInReleaseTitle)

      Sets 'reportedInReleaseTitle'. The artifact was reported in the release of this title
      Parameters:
        `reportedInReleaseTitle` - Value of 'reportedInReleaseTitle'.

    - #### getReportedInReleaseId

          public String getReportedInReleaseId()

      Returns 'reportedInReleaseId'. The artifact was reported in the release of this id
      Returns:
        Value of 'reportedInReleaseId'.

    - #### setReportedInReleaseId

          public void setReportedInReleaseId(String reportedInReleaseId)

      Sets 'reportedInReleaseId'. The artifact was reported in the release of this id
      Parameters:
        `reportedInReleaseId` - Value of 'reportedInReleaseId'.

    - #### getResolvedInReleaseTitle

          public String getResolvedInReleaseTitle()

      Returns 'resolvedInReleaseTitle'. The artifact was resolved in the release of this title
      Returns:
        Value of 'resolvedInReleaseTitle'.

    - #### setResolvedInReleaseTitle

          public void setResolvedInReleaseTitle(String resolvedInReleaseTitle)

      Sets 'resolvedInReleaseTitle'. The artifact was resolved in the release of this title
      Parameters:
        `resolvedInReleaseTitle` - Value of 'resolvedInReleaseTitle'.

    - #### getResolvedInReleaseId

          public String getResolvedInReleaseId()

      Returns 'resolvedInReleaseId'. The artifact was resolved in the release of this id
      Returns:
        Value of 'resolvedInReleaseId'.

    - #### setResolvedInReleaseId

          public void setResolvedInReleaseId(String resolvedInReleaseId)

      Sets 'resolvedInReleaseId'. The artifact was resolved in the release of this id
      Parameters:
        `resolvedInReleaseId` - Value of 'resolvedInReleaseId'.

    - #### getVersion

          public int getVersion()

      Returns 'version'. The artifact version
      Returns:
        Value of 'version'.

    - #### setVersion

          public void setVersion(int version)

      Sets 'version'. The artifact version
      Parameters:
        `version` - Value of 'version'.

    - #### getParentId

          public String getParentId()

      Returns 'parentId'. The id of the parent artifact, null if there is none
      Returns:
        Value of 'parentId'.

    - #### setParentId

          public void setParentId(String parentId)

      Sets 'parentId'. The id of the parent artifact, null if there is none
      Parameters:
        `parentId` - Value of 'parentId'.

    - #### getChildrenIds

          public String[] getChildrenIds()

      Returns 'childrenIds'. The ids of the children artifacts
      Returns:
        Value of 'childrenIds'.

    - #### setChildrenIds

          public void setChildrenIds(String[] childrenIds)

      Sets 'childrenIds'. The ids of the children artifacts
      Parameters:
        `childrenIds` - Value of 'childrenIds'.

    - #### getHasChildren

          public boolean getHasChildren()

      Returns 'hasChildren'. True if artifact has child artifacts, false if not
      Returns:
        Value of 'hasChildren'.

    - #### setHasChildren

          public void setHasChildren(boolean hasChildren)

      Sets 'hasChildren'. True if artifact has child artifacts, false if not
      Parameters:
        `hasChildren` - Value of 'hasChildren'.

    - #### getAutosumming

          public boolean getAutosumming()

      Returns 'autosumming'. Determines whether autosumming is enabled for this artifact.
      Returns:
        Value of 'autosumming'.

    - #### setAutosumming

          public void setAutosumming(boolean autosumming)

      Sets 'autosumming'. Determines whether autosumming is enabled for this artifact.
      Parameters:
        `autosumming` - Value of 'autosumming'.

    - #### getPoints

          public int getPoints()

      Returns 'points'. The number of story points for this artifact
      Returns:
        Value of 'points'.

    - #### setPoints

          public void setPoints(int points)

      Sets 'points'. The number of story points for this artifact
      Parameters:
        `points` - Value of 'points'.

    - #### getTrackerIcon

          public String getTrackerIcon()

      Returns 'trackerIcon'. The tracker icon.
      Returns:
        Value of 'trackerIcon'.

    - #### setTrackerIcon

          public void setTrackerIcon(String trackerIcon)

      Sets 'trackerIcon'. The tracker icon.
      Parameters:
        `trackerIcon` - Value of 'trackerIcon'.

    - #### getRank

          public long getRank()

      Returns 'rank'. The rank in the specified planning folder.
      Returns:
        Value of 'rank'.

    - #### setRank

          public void setRank(long rank)

      Sets 'rank'. The rank in the specified planning folder.
      Parameters:
        `rank` - Value of 'rank'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.